---
title: "Mark as unread"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/conversations.mark_unread
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Mark as unread

Set or clear Telegram's unread mark on the chat (opening the chat clears it).

Set or clear Telegram's unread mark on the chat (opening the chat clears it).

## Overview

| Name | Value |
| --- | --- |
| Code | `conversations.mark_unread` |
| Scope needed | `messages.send` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Queues work for a node |
| Needs `Idempotency-Key` | Yes |
| Member roles allowed | `owner`, `manager`, `agent` |
| Needs a worker from version | `1.0.15` |
| In the app | Inbox → chat menu → Mark as unread |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `conversationId` | `uuid` | Yes |   |
| `unread` | `true/false` | Yes |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/conversations.mark_unread \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: <unique key per operation>" \
  -d '{"conversationId":"00000000-0000-0000-0000-000000000000","unread":true}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |
| `jobId` | `text` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true,
    "jobId": "00000000-0000-4000-8000-000000000000"
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "conversations.mark_unread"`. Tool name when listed: `conversations_mark_unread`.
